summaryrefslogtreecommitdiffstats
path: root/meta/recipes-extended/lsb/lsbinitscripts/0001-functions-avoid-exit-1-which-causes-init-scripts-to-.patch
blob: c0076453f2b8f2a3f9236eda1567f45d24a1054a (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
Upstream-Status: Pending

Subject: functions: avoid exit 1 which causes init scripts to fail

Signed-off-by: Chen Qi <Qi.Chen@windriver.com>
---
 rc.d/init.d/functions | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Index: initscripts-9.72/rc.d/init.d/functions
===================================================================
--- initscripts-9.72.orig/rc.d/init.d/functions
+++ initscripts-9.72/rc.d/init.d/functions
@@ -686,6 +686,6 @@ if [ "$_use_systemctl" = "1" ]; then
     fi
 fi
 
-strstr "$(cat /proc/cmdline)" "rc.debug" && set -x
+strstr "$(cat /proc/cmdline)" "rc.debug" && set -x || true
 return 0